This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 863620 - (CVE-2012-3989) CVE-2012-3989 Mozilla: Crash with invalid cast when using instanceof operator (MFSA 2012-80)
CVE-2012-3989 Mozilla: Crash with invalid cast when using instanceof operator...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20121009,repor...
: Security
Depends On:
Blocks: 852611
  Show dependency treegraph
 
Reported: 2012-10-06 01:06 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-10-09 14:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-06 01:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-10-06 01:06:06 EDT
Mozilla community member Ms2ger reported a crash due to an invalid cast when using the instanceof operator on certain types of JavaScript objects. This can lead to a potentially exploitable crash.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-80.html

Acknowledgements:
Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ms2ger as the original reporter.
Comment 1 Huzaifa S. Sidhpurwala 2012-10-06 01:07:10 EDT
Statement:

Not Vulnerable. This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.